﻿/* Début de vignette produits */
.grb__theme-id {
    display: flex;
    flex-direction: column;
    row-gap: 25px;
    width: 100%;
}

.gb-uc-BlocVignettesProduits__grb_template__products {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 60px;
    width: 100%;
    background-size: cover;
    background-position: center top;
}

.gb-uc-BlocVignettesProduits__grb_template__top-title {
    width: fit-content;
    margin: 0 auto;
    font-size: 24px;
    font-weight: 700;
    color: var(--blanc);
    text-align: center;
    text-transform: uppercase;
}

.gb-uc-BlocVignettesProduits__grb_template__top-subtitle {
    font-size: 26px;
    font-weight: 700;
    text-align: center;
}

.gb-uc-BlocVignettesProduits__grb_template__product-top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}


.gb-uc-BlocVignettesProduits__grb_template__see-all {
    padding: 15px 30px;
    border-radius: 8px 12px 20px 12px;
    background-color: #389D67;
    color: #fff;
    font-weight: 700;
    max-width: 250px;
    text-transform: uppercase;
    cursor: pointer;
}

.gb-uc-BlocVignettesProduits__grb_template__category {
    font-size: 18px;
    font-weight: 700;
}

.gb-uc-BlocVignettesProduits__grb_template__title {
    padding: 20px 0;
    color: #fff;
    font-size: 32px;
    font-weight: 700;
    text-align: center
}

.gb-uc-BlocVignettesProduits__grb_template__product-list {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    column-gap: 20px;
    row-gap: 20px;
    width: 100%;
    max-width: 1600px;
    margin: 0 auto;
    overflow: hidden;
    transition: all .3s;
}

.gb-uc-BlocVignettesProduits__grb_template__filter-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    max-width: 640px;
    margin: 0 auto;
}

.gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__filter {
    position: relative;
    width: 100%;
    max-width: 300px;
    padding: 20px;
    text-align: center;
}

.grb__filter-container {
    width: 100%;
    display: flex;
    justify-content: center;
    column-gap: 20px;
}

.gb-uc-BlocVignettesProduits__grb_sales__filter--category {
    border-radius: 20px 12px 12px 8px;
    background-color: #2A2A2AA3;
}

.gb-uc-BlocVignettesProduits__grb_sales__filter--brand {
    background-color: #389D67;
    border-radius: 12px 20px 8px 12px;
}

.gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__filter-text {
    width: 100%;
    color: #fff;
    font-size: 14px;
    font-weight: 700;
    text-transform: uppercase;
}

.gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__filter--opened {
    display: none;
    z-index: 1;
    position: absolute;
    top: 54px;
    left: 0;
    right: 0;
    max-height: 300px;
    padding: 0 10px;
    background: #fff;
    overflow-y: scroll;
}


.gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__filter:hover .gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__filter--opened {
    display: block;
}

.gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__filter-option {
    display: block;
    text-align: center;
    line-height: 25px;
    border-bottom: 1px solid #c8c8c3;
}

.gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__option-text {
    display: inline-block;
    vertical-align: middle;
    width: 100%;
    height: 100%;
    padding: 10px 0;
    line-height: 20px;
    color: var(--noir);
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
    cursor: pointer;
}

.gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__option-validate {
    display: none;
    vertical-align: middle;
}

.gb-uc-BlocVignettesProduits__grb_sales__filter--category .gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__option-validate:checked + .gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__option-text {
    color: #fff;
    background: #2A2A2AA3;
}

.gb-uc-BlocVignettesProduits__grb_sales__filter--brand .gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__option-validate:checked + .gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__option-text {
    color: #fff;
    background: #389D67;
}

.gb-uc-BlocVignettesProduits__grb_paragraph_condition {
    text-align: center;
    padding: 30px 0 0 0;
    color: #fff;
}

.grb_template__see-all {
    display: flex;
    justify-content: center;
}

@media screen and (max-width: 1024px) {
    .gb-uc-BlocVignettesProduits__grb_mini-landing-fixe__filter--opened {
        top: 43px;
    }

    .hidden {
        display: none !important;
    }
}
